@import '../../styles/mixins';

.page-wrap {
	display: flex;
	flex-direction: column;
	align-items: center;
	margin: 0 auto;
	padding: 50px;
	max-width: var(--container-width);
}

.title {
	margin: 0 0 10%;
	line-height: 35px;
	font-size: 50px;
}

/* Grid */
.main {
	display: flex;
	flex-flow: row wrap;
	justify-content: space-between;
	width: 100%;

	@include for-tablet {
		flex-wrap: nowrap;
	}
}

.sidebar {
	flex: 1 1 0;
	max-width: 130px;

	&:not(:last-child) {
		margin-right: 10%;

		@include for-tablet {
			margin-right: 0;
		}
	}
}

.content {
	flex: 1 1 100%;
	order: 1;
	margin-top: 10%;

	@include for-tablet {
		flex: 1 1 auto;
		order: initial;
		margin: 0 10%;
	}
}

/* Status */
.status {
	text-align: center;
	text-transform: uppercase;
	color: var(--color-primary);
}

.status__number {
	display: block;
	color: var(--color-accent);
}

/* Cards */
.cards {
	position: relative;
	padding-bottom: 100%;
	width: 100%;
	height: 0;
}

.cards__wrap {
	position: absolute;
	left: 0;
	display: grid;
	width: 100%;
	height: 100%;
	grid-template-columns: repeat(4, 1fr);
	gap: var(--grid-gap);
}
